/* dcl-5.3.2/src/math1/ctrlib/ct2bc.f -- translated by f2c (version 20020621).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "libtinyf2c.h"

/* ----------------------------------------------------------------------- */
/*     COORDINATE TRANSFORMATION (2D BIPOLAR -> CARTESIAN ) */
/*                                              93/02/18   S.SAKAI */
/* ----------------------------------------------------------------------- */
/*     Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved. */
/* ----------------------------------------------------------------------- */
/* Subroutine */ int ct2bc_(real *u, real *v, real *x, real *y)
{
    /* Builtin functions */
    double cosh(doublereal), cos(doublereal), sinh(doublereal), sin(
	    doublereal);

    /* Local variables */
    static real uv, rundef;
    extern /* Subroutine */ int glrget_(char *, real *, ftnlen);

    uv = cosh(*v) + cos(*u);
    if (uv != 0.f) {
	*x = sinh(*v) / uv;
	*y = sin(*u) / uv;
    } else {
	glrget_("RUNDEF", &rundef, (ftnlen)6);
	*x = rundef;
	*y = rundef;
    }
    return 0;
} /* ct2bc_ */

