/* dcl-5.3.2/src/math1/maplib/mpznwt.f -- translated by f2c (version 20020621).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "libtinyf2c.h"

/* ----------------------------------------------------------------------- */
/*     NEWTON METHOD */
/* ----------------------------------------------------------------------- */
/*     Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved. */
/* ----------------------------------------------------------------------- */
/* Subroutine */ int mpznwt_(S_fp func, real *phi, real *alpha)
{
    static real f;
    static integer i__;
    static real df, dx;
    extern /* Subroutine */ int msgdmp_(char *, char *, char *, ftnlen, 
	    ftnlen, ftnlen);

    for (i__ = 1; i__ <= 20; ++i__) {
	(*func)(phi, alpha, &f, &df);
	if (dabs(df) < 1e-5f) {
	    return 0;
	}
	dx = f / df;
	*alpha -= dx;
	if (dabs(dx) < 1e-4f) {
	    return 0;
	}
/* L10: */
    }
    msgdmp_("E", "MPZNWT", "EXCEEDING MAXIMUM ITERATIONS.", (ftnlen)1, (
	    ftnlen)6, (ftnlen)29);
    return 0;
} /* mpznwt_ */

